Subject: Re: [PATCH] wrapper: simplify xmkstemp()

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Nov 2025 06:39:50 -0800

Jeff King <[email-masked]> writes:

>> > +#define mkstemp(template) git_mkstemp_mode((template), 0600)
>
> So this patch implements what I was thinking, though I probably would
> have made it more explicit: add mkstemp() to the banned list (not
> because it's evil but because it's unportable) and force callers to use
> git_mkstemp_mode() explicitly.

Because only a very small number (one?)  of callers call mkstemp()
in the current code, the above is probably a good thing to do.